var rss1 	= require('rssee').create({'interval':30}),
    rss2 	= require('rssee').create({'interval':30}),
    rss3 	= require('rssee').create({'interval':30}),
	 sys  	= require('sys'),
	 express = require('express');


function linkify(text) {
	return '<a href="'+text.link+'" target="_blank">'+text.title+'</a>';
}

app = express.createServer();
app.configure(function(){
  app.use(express.static(__dirname + '/rss'));
});
app.get('/', function(req, res, next){
  res.render('/rss/index.html');
});
app.listen(8080);
console.log('Server running at http://localhost:8080/');

var socket  = require('socket.io').listen(app);
socket.set('log level', 1);

rss1.on('article', function(a) {
    socket.sockets.emit("hackernews","▸ "+linkify(a));
    console.log(sys.inspect(a)+"\n");
});
rss2.on('article', function(a) {
    socket.sockets.emit("lejournaldugeek","▸ "+linkify(a));
    console.log(sys.inspect(a)+"\n");
});
rss3.on('article', function(a) {
    socket.sockets.emit("reddit","▸ "+linkify(a));
    console.log(sys.inspect(a)+"\n");
});
rss1.start('http://news.ycombinator.com/rss');
rss2.start('http://feeds.feedburner.com/LeJournalduGeek');
rss3.start('http://www.reddit.com/.rss');
